#!/usr/bin/perl

use strict;
use warnings;

#disable standard error
open STDERR, '>', "/dev/null";

my @ipAddrInfo  = ();
my $ip          = 'NA';
my $prefix      = 'NA';
#wifi only paramiters
my @wlan        = ();
my $ssid        = 'NA';
my $frequency   = 'NA';
my $accessPoint = 'NA';
my $bitrate     = 'NA';
my $linkQuality = 'NA';
my $signalLevel = 'NA';



#get ip from ip addr command
#TODO: take in device as a paramiter
@ipAddrInfo = `ip addr`;
foreach (@ipAddrInfo)
{
	if($_ =~ /(\d+\.\d+\.\d+\.\d+)\/(\d+)/)
	{
		my $loopBackCheck = $1;
		if($loopBackCheck !~ /127.0.0.1/) #Ignore loopback IP
		{
			$ip = $1;
			$prefix = $2;
		}
	}
}


#TODO: check if wifi is avalable

#get wifi info
@wlan = `iwconfig`;
foreach (@wlan)
{
	if($_ =~ /ESSID\:\"(.+?)\"/i)
	{
		
		$ssid = $1;
	}

	if($_ =~ /Frequency\:(.+?)\s/i)
	{

			$frequency= $1;
	}

	if($_ =~ /Access Point\: (\S+\:\S+\:\S+\:\S+\:\S+\:\S+)/i)
	{

			$accessPoint= $1;
	}

	if($_ =~ /Bit Rate\:(.+?)\s/i)
	{

			$bitrate= $1;
	}

	#if($_ =~ /Link Quality\=(.+?)\s/i)
	if($_ =~ /Link Quality\=(.+?)\//i)
	{

			$linkQuality= $1;
	}

	#if($_ =~ /Signal level\=(.+?)\s/i)
	if($_ =~ /Signal level\=(.+?)\//i)
	{

			$signalLevel= $1;
	}

}

my $returnString = "$ip\|$ssid\|$signalLevel";
print $returnString;
#return $returnString;
