#!/usr/bin/env python

#Modulese to get IP
import socket
import fcntl
import struct


# This function allows us to grab any of our IP addresses
def ip_address(ifname):
	s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
	return socket.inet_ntoa(fcntl.ioctl(
	s.fileno(),
	0x8915,  # SIOCGIFADDR	struct.pack('256s', ifname[:15])
	struct.pack('256s', ifname[:15])
	)[20:24])

text = 'NA'
# This sets TEXT equal to whatever your IP address is, or isn't
def get_ip_address():
	try:
		text = ip_address('wlan0') # WiFi address of WiFi adapter. NOT ETHERNET
	except IOError:
		try:
			text = ip_address('eth0') # WiFi address of Ethernet cable. NOT ADAPTER
		except IOError:
			text = ('Looking...')
	return text
