#!/usr/bin/env python
#make sure deamon is running "sudo pigpiod"
import RPi.GPIO as GPIO
from os import system, path
from time import sleep
import pigpio
from read_RPM import reader

#Set pin mode
GPIO.setmode(GPIO.BCM)

#connect to pigpio
pi =  pigpio.pi()

#pins
escPin = 13
rpmPin = 6

speed = 1000 #0-2000

#calibrate ESC
'''
pi.set_servo_pulsewidth(escPin, 2000) #max throttle
sleep(2)
pi.set_servo_pulsewidth(escPin, 100) #min throttle 
sleep(2)
'''

# Read RPM
rpmReading = 0
sampleTime = 1.0
tach = reader(pi, rpmPin, 2) #2 reflection points per revolution

#set speed of motor
#pi.set_servo_pulsewidth(escPin, speed)

while True:
	rpmReading = tach.RPM()
	print (rpmReading)
	sleep(1)

